GET phone/numbers

zoom.us

Summary: List phone numbers
Operation ID: listAccountPhoneNumbers
Auth: unknown
Description

A Zoom account owner or admin can purchase phone numbers and assign them to Zoom phone users. Use this API to list all Zoom Phone numbers in a Zoom account. You can filter the response based on your needs by using query parameters. **Prerequisites:**<br> * Pro or higher plan with Zoom phone license<br> **Scope:** `phone:read:admin`<br> **[Rate Limit Label](https://marketplace.zoom.us/docs/api-reference/rate-limits#rate-limits):** `Medium`

Parameters (7)

extension_type (string, query, optional)

The type of assignee to whom the number is assigned. The value can be one of the following:<br> `user`<br> `callQueue`<br> `autoReceptionist`<br> `commonAreaPhone`

Constraints: {'enum': ['user', 'callQueue', 'autoReceptionist', 'commonAreaPhone']}

next_page_token (string, query, optional)

The next page token is used to paginate through large result sets. A next page token will be returned whenever the set of available results exceeds the current page size. The expiration period for this token is 15 minutes.

number_type (string, query, optional)

The type of phone number. The value can be either `toll` or `tollfree`.

Constraints: {'enum': ['toll', 'tollfree']}

page_size (integer, query, optional, default: 30)

The number of records returned within a single API call.

Constraints: {'maximum': 100}

pending_numbers (boolean, query, optional)

Include or exclude pending numbers in the response. The value can be either `true` or `false`.

site_id (string, query, optional)

Unique identifier of the site. Use this query parameter if you have enabled multiple sites and would like to filter the response of this API call by a specific phone site. See [Managing multiple sites](https://support.zoom.us/hc/en-us/articles/360020809672-Managing-multiple-sites) or [Adding a site](https://support.zoom.us/hc/en-us/articles/360020809672-Managing-multiple-sites#h_05c88e35-1593-491f-b1a8-b7139a75dc15) for details.

type (string, query, optional)

Query response by number assignment. The value can be one of the following: <br> `assigned`: The number has been assigned to either a user, a call queue, an auto-receptionist or a common area phone in an account. <br>`unassigned`: The number is not assigned to anyone.<br> `all`: Include both assigned and unassigned numbers in the response.<br> `byoc`: Include Bring Your Own Carrier (BYOC) numbers only in the response.

Constraints: {'enum': ['assigned', 'unassigned', 'all']}

No probe data for this endpoint yet.